> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Dream のアーカイブ

> 完了した Dream をアーカイブします。

`POST /api/v1/cloud/dreams/{id}/archive`

指定された Dream をアーカイブします。終了状態（`completed`、`failed`、`canceled`）の Dream のみアーカイブ可能です。すでにアーカイブ済みの Dream に対する archive 呼び出しは冪等です。更新された [Dream オブジェクト](/ja/cloud-agents/api/dreams/schemas#dream-object) を返します。

アーカイブ済みの Dream は、`include_archived=true` を指定しない限り、一覧結果からデフォルトで除外されます。

## ヘッダー

| ヘッダー            | 必須 | 説明             |
| --------------- | -- | -------------- |
| `Authorization` | はい | `Bearer <PAT>` |

## パスパラメータ

| パラメータ | 型      | 説明                       |
| ----- | ------ | ------------------------ |
| `id`  | string | Dream ID（`drm_` プレフィックス） |

## リクエスト例

```bash theme={null}
curl -s -X POST 'https://api.qoder.com/api/v1/cloud/dreams/drm_019e86b4a8f070a3b6c5d4e3f2a1b0c9/archive' \
  -H "Authorization: Bearer $QODER_PAT"
```

## レスポンス例

**HTTP 200 OK**

```json theme={null}
{
  "id": "drm_019e86b4a8f070a3b6c5d4e3f2a1b0c9",
  "type": "dream",
  "status": "completed",
  "inputs": [{ "type": "memory_store", "memory_store_id": "memstore_019e5cdb9c3f71c3b6505eba937a40b4" }],
  "outputs": [{ "type": "memory_store", "memory_store_id": "memstore_019e86b4b10578059435632bb357c5ed", "files_touched": ["preferences.md"] }],
  "model": { "id": "auto" },
  "instructions": "",
  "session_id": "sess_019e86b4b10578059435632bb357c5ed",
  "usage": { "input_tokens": 12500, "output_tokens": 3200, "cache_creation_input_tokens": 0, "cache_read_input_tokens": 8000 },
  "error": null,
  "created_at": "2026-06-15T10:00:00Z",
  "ended_at": "2026-06-15T10:03:42Z",
  "archived_at": "2026-06-15T12:00:00Z"
}
```

## エラー

| HTTP | 種別                      | トリガー                                          |
| ---- | ----------------------- | --------------------------------------------- |
| 400  | `invalid_request_error` | Dream が pending または running 状態（先にキャンセルしてください） |
| 401  | `authentication_error`  | 認証トークンが欠落または無効                                |
| 404  | `not_found_error`       | Dream が存在しない                                  |

完全なエラーエンベロープは [エラーリファレンス](/ja/cloud-agents/api/conventions/errors) を参照してください。
